Download it now!
Bug 129173 - FILEOPEN DOCX 100 percent stacked area chart data is imported as percentage
Summary: FILEOPEN DOCX 100 percent stacked area chart data is imported as percentage
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-12-04 10:25 UTC by NISZ LibreOffice Team
Modified: 2020-04-21 13:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (94.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-12-04 10:26 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (95.35 KB, image/png)
2019-12-04 10:26 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-12-04 10:25:40 UTC
Description:
Attached document contains default area charts made in Word.
The 100% stacked and 100% stacked 3D types have their data table filled with percentage values while Word saved them as integers. 
This does not happen for the normal and stacked area charts.


Steps to Reproduce:
1.	Open attached file
2.	Open the data table of the 100% stacked area chart


Actual Results:
Data table contents appear as 3200% and 1200% instead of 32 and 12 in case of the first two rows and similarly for the others.

Expected Results:
Integer values in data labels and data table.


Reproducible: Always


User Profile Reset: No



Additional Info:
Verzió: 6.5.0.0.alpha0+ (x64)
Build az.: 7e09d08807b5ba2fd8b9831557752a415bdad562
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

Also happens in:
Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Verzió: 4.3.0.4
Build az.: 62ad5818884a2fc2e5780dd45466868d41009ec0

But not in: 
Verzió: 4.2.0.4
Build az.: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 1 NISZ LibreOffice Team 2019-12-04 10:26:08 UTC
Created attachment 156285 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2019-12-04 10:26:31 UTC
Created attachment 156286 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 Xisco Faulí 2019-12-04 16:16:41 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d22a4d945ccf1456fbdb2c39802d956afa583a2a

author	Matúš Kukan <matus.kukan@collabora.com>	2014-09-11 08:56:22 +0200
committer	Matúš Kukan <matus.kukan@collabora.com>	2014-09-11 22:47:59 +0200
commit	d22a4d945ccf1456fbdb2c39802d956afa583a2a (patch)
tree	d32a5c95434de267d8473f24413f80f106bc9a6a
parent	1387027aa9acf9e62f2d7bf50f71a5889626d194 (diff)
bnc#892610: OOXML import: Improve chart number formats.

Bisected with: bibisect-44max
Comment 4 Commit Notification 2019-12-16 07:59:30 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e57d90cd4e51a1353eafc87bb29cfe6076704a7c

tdf#129173 tdf#129175 Fix number format of data labels

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-12-17 10:31:35 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: f86824cca0c442d371379d2ea0bff2241f18ab3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balazs, thanks for fixing this issue!
Comment 6 Commit Notification 2019-12-17 10:35:29 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9c1063ba13028244346528e307d5563d6faf949d

tdf#129173 tdf#129175 Fix number format of data labels

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-01-20 08:11:44 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d979eb16b9144c7ed230d7b0a4d0c1474664d7d0

tdf#129173 tdf#129175 Fix number format of data labels

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-03-16 09:39:24 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/2af4d304992d2a508e0d79cd855b93ca7559ebef

tdf#131291: Revert "tdf#129173 tdf#129175 Fix number format of data labels"

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.